/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

/**
 * 单表生成Entity
 * @author tangwc
 * @version 2018-05-30
 */
public class MdePosition extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	private Integer positionId;		// 职位id
	private Integer depdId;		// 部门id(部门信息表)
	private String positionNameCn;		// 职位名称-中文
	private String positionNameEn;		// 职位名称-英文
	private Integer positionGrade;		// 职位等级
	
	private String positionName;		// 职位名称（传给前台）
	
	public MdePosition() {
		super();
	}

//	@Length(min=1, max=11, message="职位id长度必须介于 1 和 11 之间")
	public Integer getPositionId() {
		return positionId;
	}

	public void setPositionId(Integer positionId) {
		this.positionId = positionId;
	}
	
//	@Length(min=1, max=11, message="部门id(部门信息表)长度必须介于 1 和 11 之间")
	public Integer getDepdId() {
		return depdId;
	}

	public void setDepdId(Integer depdId) {
		this.depdId = depdId;
	}
	
//	@Length(min=1, max=50, message="职位名称-中文长度必须介于 1 和 50 之间")
	public String getPositionNameCn() {
		return positionNameCn;
	}

	public void setPositionNameCn(String positionNameCn) {
		this.positionNameCn = positionNameCn;
	}
	
//	@Length(min=1, max=50, message="职位名称-英文长度必须介于 1 和 50 之间")
	public String getPositionNameEn() {
		return positionNameEn;
	}

	public void setPositionNameEn(String positionNameEn) {
		this.positionNameEn = positionNameEn;
	}
	
//	@Length(min=1, max=11, message="职位等级长度必须介于 1 和 11 之间")
	public Integer getPositionGrade() {
		return positionGrade;
	}

	public void setPositionGrade(Integer positionGrade) {
		this.positionGrade = positionGrade;
	}

	public String getPositionName() {
		return positionName;
	}

	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}
	
	
}